How to Install VLC 3.0 in Debian, Ubuntu and Linux Mint

If You Appreciate What We Do Here On TecMint, You Should Consider:

  1. Stay Connected to: Twitter | Facebook | Google Plus
  2. Subscribe to our email updates: Sign Up Now
  3. Get your own self-hosted blog with a Free Domain at ($3.45/month).
  4. Become a Supporter - Make a contribution via PayPal
  5. Support us by purchasing our premium books in PDF format.
  6. Support us by taking our online Linux courses

We are thankful for your never ending support.

Ravi Saive

I am Ravi Saive, creator of TecMint. A Computer Geek and Linux Guru who loves to share tricks and tips on Internet. Most Of My Servers runs on Open Source Platform called Linux. Follow Me: Twitter, Facebook and Google+

Your name can also be listed here. Got a tip? Submit it here to become an TecMint author.

RedHat RHCE and RHCSA Certification Book
Linux Foundation LFCS and LFCE Certification Preparation Guide

You may also like...

11 Responses

  1. richard says:

    errors!

    Err:15 http://ppa.launchpad.net/videolan/stable-daily/ubuntu artful Release
    404 Not Found
    Reading package lists… Done
    E: The repository ‘http://ppa.launchpad.net/videolan/stable-daily/ubuntu artful Release’ does not have a Release file.
    N: Updating from such a repository can’t be done securely, and is therefore disabled by default.

  2. kneekoo says:

    Obviously, the information hasn’t been verified. The latest VLC version offered by this PPA is 2.2.7 (2.2.2+git20170721+r59033+56~ubuntu16.04.1).

    • Ravi Saive says:

      @Kneekoo,

      Yes, I know that the PPA provides only VLC 2.2.7 version, thats the reason I have a added a notice, that users who using older versions should upgrade or use snap package for VLC.

  3. alyx says:

    This doesn’t allow me to play regular DVDs at all, I have tried multiple things to fix this and nothings worked.

  4. Ian Samson says:

    Mine shows as 2.2.5 Weatherwax, not 2.2.4
    Linux Mint 18 Cinnamon x64

    • Ravi Saive says:

      @Ian,

      Same here, even My Ubuntu 16.04 shows VLC version 2.2.5, but the official VLC site says the latest stable version is 2.2.4. I think the PPA provides latest daily builds…:)

    • Marc D. says:

      From what I understand, the only current way to install version 3.0 is via a Snap package

  5. Dhamodharan says:

    I m looking for vlc setup for my ubuntu 12.04 OS but i couldnt get the package. Can anyone suggest me, where & how to download the .deb file.

    • Ravi Saive says:

      You can’t download and install .deb VLC package, as it requires lots of dependent packages. The only way you can install it using apt-get method.

  6. harsha says:

    i have tried it but not able to do so. i am new user to ubuntu i dont have net in my home i have pc but how to install vlc in offline

  7. parjo says:

    Do what it promises, plays most kind of media files without have to install any drivers.

Leave a Reply to harsha Cancel reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.